MP4(3)

NAME

MP4GetAudioProfileLevel - Gets the minimum MPEG-4 audio profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

u_int8_t MP4GetAudioProfileLevel(
        MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

The current audio profile/level for the file. See MP4SetAudioProfileLevel() for known values.

DESCRIPTION

MP4GetAudioProfileLevel returns the minumum profile/level of MPEG-4 audio support necessary to render the contents of the file.

SEE ALSO

MP4(3) MP4SetAudioProfileLevel(3)